## neverball 1.2.0

=== Makefile ===

#------------------------------------------------------------------------------

# Maybe you need one of these.  Maybe you don't.

#X11_PATH= -L/usr/X11/lib
#X11_PATH= -L/usr/X11R6/lib

OGL_LIBS= -lGLU -lGL -lm
#OGL_LIBS= -lm                                                # Think Different

#------------------------------------------------------------------------------

CFLAGS= -Wall -O3 -ansi $(shell sdl-config --cflags)
#CFLAGS= -Wall -g -ansi $(shell sdl-config --cflags)
#CFLAGS= -Wall -pg -ansi $(shell sdl-config --cflags)

SDL_LIBS= $(shell sdl-config --libs)
FT2_LIBS= $(shell freetype-config --libs)

MAPC_TARG= mapc
BALL_TARG= neverball
PUTT_TARG= neverputt

MAPC_OBJS= \
	share/vec3.o   \
	share/solid.o  \
	share/glext.o  \
	share/mapc.o
BALL_OBJS= \
	share/vec3.o   \
	share/text.o   \
	share/image.o  \
	share/solid.o  \
	share/part.o   \
	share/geom.o   \
	share/back.o   \
	share/menu.o   \
	share/glext.o  \
	share/config.o \
	ball/audio.o   \
	ball/hud.o     \
	ball/game.o    \
	ball/level.o   \
	ball/set.o     \
	ball/state.o   \
	ball/main.o
PUTT_OBJS= \
	share/vec3.o   \
	share/text.o   \
	share/image.o  \
	share/solid.o  \
	share/part.o   \
	share/geom.o   \
	share/back.o   \
	share/menu.o   \
	share/glext.o  \
	share/config.o \
	putt/audio.o   \
	putt/hud.o     \
	putt/game.o    \
	putt/hole.o    \
	putt/state.o   \
	putt/main.o

BALL_DEPS= $(BALL_OBJS:.o=.d)
PUTT_DEPS= $(PUTT_OBJS:.o=.d)
MAPC_DEPS= $(MAPC_OBJS:.o=.d)

MAPC_LIBS= $(X11_PATH) $(SDL_LIBS) -lSDL_image $(OGL_LIBS)
BALL_LIBS= $(X11_PATH) $(SDL_LIBS) -lSDL_image -lSDL_ttf -lSDL_mixer $(FT2_LIBS) $(OGL_LIBS)
PUTT_LIBS= $(X11_PATH) $(SDL_LIBS) -lSDL_image -lSDL_ttf -lSDL_mixer $(FT2_LIBS) $(OGL_LIBS)

SOLS= \
	data/sol-rlk/easy.sol     \
	data/sol-rlk/peasy.sol    \
	data/sol-rlk/coins.sol    \
	data/sol-rlk/goslow.sol   \
	data/sol-rlk/fence.sol    \
	data/sol-rlk/bumper.sol   \
	data/sol-rlk/maze.sol     \
	data/sol-rlk/goals.sol    \
	data/sol-rlk/hole.sol     \
	data/sol-rlk/bumps.sol    \
	data/sol-rlk/corners.sol  \
	data/sol-rlk/easytele.sol \
	data/sol-rlk/zigzag.sol   \
	data/sol-rlk/greed.sol    \
	data/sol-rlk/mover.sol    \
	data/sol-rlk/wakka.sol    \
	data/sol-rlk/curbs.sol    \
	data/sol-rlk/curved.sol   \
	data/sol-rlk/stairs.sol   \
	data/sol-rlk/rampdn.sol   \
	data/sol-rlk/sync.sol     \
	data/sol-rlk/spiralin.sol \
	data/sol-rlk/plinko.sol   \
	data/sol-rlk/drops.sol    \
	data/sol-rlk/locks.sol    \
	data/sol-rlk/grid.sol     \
	data/sol-rlk/four.sol     \
	data/sol-rlk/telemaze.sol \
	data/sol-rlk/spiraldn.sol \
	data/sol-rlk/islands.sol  \
	data/sol-rlk/angle.sol    \
	data/sol-rlk/spiralup.sol \
	data/sol-rlk/rampup.sol   \
	data/sol-rlk/check.sol    \
	data/sol-rlk/risers.sol   \
	data/sol-rlk/tilt.sol     \
	data/sol-rlk/gaps.sol     \
	data/sol-rlk/pyramid.sol  \
	data/sol-rlk/quads.sol    \
	data/sol-rlk/frogger.sol  \
	data/sol-rlk/timer.sol    \
	data/sol-rlk/spread.sol   \
	data/sol-rlk/hump.sol     \
	data/sol-rlk/movers.sol   \
	data/sol-rlk/teleport.sol \
	data/sol-rlk/poker.sol    \
	data/sol-rlk/invis.sol    \
	data/sol-rlk/ring.sol     \
	data/sol-rlk/pipe.sol     \
	data/sol-rlk/title.sol    \
	data/sol-mym/descent.sol        \
	data/sol-mym/glass_tower.sol    \
	data/sol-mym/scrambling.sol     \
	data/sol-mym/trust.sol          \
	data/sol-mym/maze1.sol          \
	data/sol-mym/turn.sol           \
	data/sol-mym/loop1.sol          \
	data/sol-mym/free_fall.sol      \
	data/sol-mym/earth_quake.sol    \
	data/sol-mym/drive1.sol         \
	data/sol-mym/maze2.sol          \
	data/sol-mym/up.sol             \
	data/sol-mym/circuit2.sol       \
	data/sol-mym/comeback.sol       \
	data/sol-mym/maze3.sol          \
	data/sol-mym/assault_course.sol \
	data/sol-mym/narrow.sol         \
	data/sol-mym/loop2.sol          \
	data/sol-mym/drive2.sol         \
	data/sol-mym/running.sol        \
	data/sol-mym/circuit1.sol       \
	data/sol-mym/bombman.sol        \
	data/sol-mym/climb.sol          \
	data/sol-mym/dance.sol          \
	data/sol-mym/hard.sol           \
	data/sol-putt/01_easy.sol    \
	data/sol-putt/02_uturn.sol   \
	data/sol-putt/03_kink.sol    \
	data/sol-putt/04_aych.sol    \
	data/sol-putt/05_ramp.sol    \
	data/sol-putt/06_cone.sol    \
	data/sol-putt/07_tele.sol    \
	data/sol-putt/08_zig.sol     \
	data/sol-putt/09_vturn.sol   \
	data/sol-putt/10_diamond.sol \
	data/sol-putt/11_mover.sol   \
	data/sol-putt/12_bumpy.sol   \
	data/sol-putt/13_choose.sol  \
	data/sol-putt/14_walls.sol   \
	data/sol-putt/15_hole.sol    \
	data/sol-putt/16_pipe.sol    \
	data/sol-putt/17_timing.sol  \
	data/sol-putt/18_hill.sol


#------------------------------------------------------------------------------

%.d : %.c
	$(CC) $(CFLAGS) -Ishare -MM -MF $@ $<

%.o : %.c
	$(CC) $(CFLAGS) -Ishare -o $@ -c $<

data/sol-rlk/%.sol : data/map-rlk/%.map
	./$(MAPC_TARG) $< $@ data

data/sol-mym/%.sol : data/map-mym/%.map
	./$(MAPC_TARG) $< $@ data

data/sol-putt/%.sol : data/map-putt/%.map
	./$(MAPC_TARG) $< $@ data

data/sol-misc/%.sol : data/map-misc/%.map
	./$(MAPC_TARG) $< $@ data

#------------------------------------------------------------------------------

all : $(BALL_TARG) $(PUTT_TARG) $(MAPC_TARG) $(SOLS)

$(BALL_TARG) : $(BALL_OBJS)
	$(CC) $(CFLAGS) -o $(BALL_TARG) $(BALL_OBJS) $(BALL_LIBS)

$(PUTT_TARG) : $(PUTT_OBJS)
	$(CC) $(CFLAGS) -o $(PUTT_TARG) $(PUTT_OBJS) $(PUTT_LIBS)

$(MAPC_TARG) : $(MAPC_OBJS)
	$(CC) $(CFLAGS) -o $(MAPC_TARG) $(MAPC_OBJS) $(MAPC_LIBS)

clean :
	rm -f $(BALL_TARG) $(BALL_OBJS) $(BALL_DEPS)
	rm -f $(PUTT_TARG) $(PUTT_OBJS) $(PUTT_DEPS)
	rm -f $(MAPC_TARG) $(MAPC_OBJS) $(MAPC_DEPS)
	rm -f $(SOLS)

#------------------------------------------------------------------------------

#include $(BALL_DEPS) $(PUTT_DEPS) $(MAPC_DEPS)

## neverball 1.4.0

=== Makefile ===

#------------------------------------------------------------------------------

# Maybe you need one of these.  Maybe you don't.

#X11_PATH= -L/usr/X11/lib
#X11_PATH= -L/usr/X11R6/lib

OGL_LIBS= -lGL -lm
#OGL_LIBS= -lm                                                # Think Different

#------------------------------------------------------------------------------

CFLAGS= -Wall -O3 -ansi $(shell sdl-config --cflags)
#CFLAGS= -Wall -g -ansi $(shell sdl-config --cflags)
#CFLAGS= -Wall -pg -ansi $(shell sdl-config --cflags)

SDL_LIBS= $(shell sdl-config --libs)
FT2_LIBS= $(shell freetype-config --libs)

MAPC_TARG= mapc
BALL_TARG= neverball
PUTT_TARG= neverputt

MAPC_OBJS= \
	share/vec3.o   \
	share/image.o  \
	share/solid.o  \
	share/binary.o \
	share/config.o \
	share/mapc.o
BALL_OBJS= \
	share/vec3.o    \
	share/image.o   \
	share/solid.o   \
	share/part.o    \
	share/back.o    \
	share/geom.o    \
	share/gui.o     \
	share/config.o  \
	share/binary.o  \
	share/state.o   \
	share/audio.o   \
	ball/hud.o      \
	ball/game.o     \
	ball/level.o    \
	ball/set.o      \
	ball/demo.o     \
	ball/util.o     \
	ball/st_conf.o  \
	ball/st_demo.o  \
	ball/st_save.o  \
	ball/st_fail.o  \
	ball/st_goal.o  \
	ball/st_done.o  \
	ball/st_level.o \
	ball/st_over.o  \
	ball/st_play.o  \
	ball/st_set.o   \
	ball/st_start.o \
	ball/st_title.o \
	ball/main.o
PUTT_OBJS= \
	share/vec3.o   \
	share/image.o  \
	share/solid.o  \
	share/part.o   \
	share/geom.o   \
	share/back.o   \
	share/config.o \
	share/binary.o \
	share/audio.o  \
	share/state.o  \
	share/gui.o    \
	putt/hud.o     \
	putt/game.o    \
	putt/hole.o    \
	putt/course.o  \
	putt/st_all.o  \
	putt/st_conf.o \
	putt/main.o

BALL_DEPS= $(BALL_OBJS:.o=.d)
PUTT_DEPS= $(PUTT_OBJS:.o=.d)
MAPC_DEPS= $(MAPC_OBJS:.o=.d)

LIBS= $(X11_PATH) $(SDL_LIBS) -lSDL_image -lSDL_ttf -lSDL_mixer $(FT2_LIBS) $(OGL_LIBS)

SOLS= \
	data/map-rlk/easy.sol     \
	data/map-rlk/peasy.sol    \
	data/map-rlk/coins.sol    \
	data/map-rlk/goslow.sol   \
	data/map-rlk/fence.sol    \
	data/map-rlk/bumper.sol   \
	data/map-rlk/maze.sol     \
	data/map-rlk/goals.sol    \
	data/map-rlk/hole.sol     \
	data/map-rlk/bumps.sol    \
	data/map-rlk/corners.sol  \
	data/map-rlk/easytele.sol \
	data/map-rlk/zigzag.sol   \
	data/map-rlk/greed.sol    \
	data/map-rlk/mover.sol    \
	data/map-rlk/wakka.sol    \
	data/map-rlk/curbs.sol    \
	data/map-rlk/curved.sol   \
	data/map-rlk/stairs.sol   \
	data/map-rlk/rampdn.sol   \
	data/map-rlk/sync.sol     \
	data/map-rlk/spiralin.sol \
	data/map-rlk/plinko.sol   \
	data/map-rlk/drops.sol    \
	data/map-rlk/locks.sol    \
	data/map-rlk/grid.sol     \
	data/map-rlk/four.sol     \
	data/map-rlk/telemaze.sol \
	data/map-rlk/spiraldn.sol \
	data/map-rlk/islands.sol  \
	data/map-rlk/angle.sol    \
	data/map-rlk/spiralup.sol \
	data/map-rlk/rampup.sol   \
	data/map-rlk/check.sol    \
	data/map-rlk/risers.sol   \
	data/map-rlk/tilt.sol     \
	data/map-rlk/gaps.sol     \
	data/map-rlk/pyramid.sol  \
	data/map-rlk/quads.sol    \
	data/map-rlk/frogger.sol  \
	data/map-rlk/timer.sol    \
	data/map-rlk/spread.sol   \
	data/map-rlk/hump.sol     \
	data/map-rlk/movers.sol   \
	data/map-rlk/teleport.sol \
	data/map-rlk/poker.sol    \
	data/map-rlk/invis.sol    \
	data/map-rlk/ring.sol     \
	data/map-rlk/pipe.sol     \
	data/map-rlk/title.sol    \
	data/map-mym/assault.sol    \
	data/map-mym/bombman.sol    \
	data/map-mym/circuit1.sol   \
	data/map-mym/circuit2.sol   \
	data/map-mym/climb.sol      \
	data/map-mym/comeback.sol   \
	data/map-mym/dance2.sol     \
	data/map-mym/dance1.sol     \
	data/map-mym/descent.sol    \
	data/map-mym/drive1.sol     \
	data/map-mym/drive2.sol     \
	data/map-mym/earthquake.sol \
	data/map-mym/glasstower.sol \
	data/map-mym/hard.sol       \
	data/map-mym/loop1.sol      \
	data/map-mym/loop2.sol      \
	data/map-mym/maze1.sol      \
	data/map-mym/maze2.sol      \
	data/map-mym/narrow.sol     \
	data/map-mym/running.sol    \
	data/map-mym/scrambling.sol \
	data/map-mym/snow.sol       \
	data/map-mym/trust.sol      \
	data/map-mym/turn.sol       \
	data/map-mym/up.sol         \
	data/map-putt/01_easy.sol    \
	data/map-putt/02_uturn.sol   \
	data/map-putt/03_kink.sol    \
	data/map-putt/04_aych.sol    \
	data/map-putt/05_ramp.sol    \
	data/map-putt/06_cone.sol    \
	data/map-putt/07_tele.sol    \
	data/map-putt/08_zig.sol     \
	data/map-putt/09_vturn.sol   \
	data/map-putt/10_diamond.sol \
	data/map-putt/11_mover.sol   \
	data/map-putt/12_bumpy.sol   \
	data/map-putt/13_choose.sol  \
	data/map-putt/14_walls.sol   \
	data/map-putt/15_hole.sol    \
	data/map-putt/16_pipe.sol    \
	data/map-putt/17_timing.sol  \
	data/map-putt/18_hill.sol    \
	data/map-back/alien.sol   \
	data/map-back/blank.sol   \
	data/map-back/city.sol    \
	data/map-back/clouds.sol  \
	data/map-back/ocean.sol   \
	data/map-back/jupiter.sol \
	data/map-paxed/01_fastpenta.sol  \
	data/map-paxed/02_bumpy_road.sol \
	data/map-paxed/03_zigzag.sol     \
	data/map-paxed/04_u_twist.sol    \
	data/map-paxed/05_hookey.sol     \
	data/map-paxed/06_partitions.sol \
	data/map-paxed/07_a_danger.sol   \
	data/map-paxed/08_f.sol          \
	data/map-paxed/09_rampedge.sol   \
	data/map-paxed/10_pentomino.sol  \
	data/map-paxed/11_stapler.sol    \
	data/map-paxed/12_helixramp.sol  \
	data/map-paxed/13_loch_ness.sol  \
	data/map-paxed/14_figur8.sol     \
	data/map-paxed/15_upNdown.sol    \
	data/map-paxed/16_pyramidian.sol \
	data/map-paxed/17_oopsydaisy.sol \
	data/map-paxed/18_3rd_floor.sol  \
	data/map-paxed/a.sol \
	data/map-paxed/b.sol \
	data/map-paxed/c.sol \
	data/map-paxed/d.sol \
	data/map-paxed/e.sol \
	data/map-paxed/f.sol \
	data/map-paxed/g.sol \
	data/map-paxed/h.sol \
	data/map-paxed/i.sol \
	data/map-paxed/j.sol \
	data/map-paxed/k.sol \
	data/map-paxed/l.sol \
	data/map-paxed/m.sol \
	data/map-paxed/n.sol \
	data/map-paxed/o.sol \
	data/map-paxed/p.sol \
	data/map-paxed/q.sol \
	data/map-paxed/r.sol \
	data/map-paxed/s.sol \
	data/map-paxed/t.sol \
	data/map-paxed/u.sol \
	data/map-paxed/v.sol \
	data/map-paxed/w.sol \
	data/map-paxed/x.sol \
	data/map-paxed/y.sol \
	data/map-paxed/z.sol

#------------------------------------------------------------------------------

%.d : %.c
	$(CC) $(CFLAGS) -Ishare -MM -MF $@ $<

%.o : %.c
	$(CC) $(CFLAGS) -Ishare -o $@ -c $<

data/map-rlk/%.sol : data/map-rlk/%.map $(MAPC_TARG)
	./$(MAPC_TARG) $< data

data/map-mym/%.sol : data/map-mym/%.map $(MAPC_TARG)
	./$(MAPC_TARG) $< data

data/map-putt/%.sol : data/map-putt/%.map $(MAPC_TARG)
	./$(MAPC_TARG) $< data

data/map-back/%.sol : data/map-back/%.map $(MAPC_TARG)
	./$(MAPC_TARG) $< data

data/map-paxed/%.sol : data/map-paxed/%.map $(MAPC_TARG)
	./$(MAPC_TARG) $< data

#------------------------------------------------------------------------------

all : $(BALL_TARG) $(PUTT_TARG) $(MAPC_TARG) $(SOLS)

$(BALL_TARG) : $(BALL_OBJS)
	$(CC) $(CFLAGS) -o $(BALL_TARG) $(BALL_OBJS) $(LIBS)

$(PUTT_TARG) : $(PUTT_OBJS)
	$(CC) $(CFLAGS) -o $(PUTT_TARG) $(PUTT_OBJS) $(LIBS)

$(MAPC_TARG) : $(MAPC_OBJS)
	$(CC) $(CFLAGS) -o $(MAPC_TARG) $(MAPC_OBJS) $(LIBS)

clean-src :
	rm -f $(BALL_TARG) $(BALL_OBJS) $(BALL_DEPS)
	rm -f $(PUTT_TARG) $(PUTT_OBJS) $(PUTT_DEPS)
	rm -f $(MAPC_TARG) $(MAPC_OBJS) $(MAPC_DEPS)

clean : clean-src
	rm -f $(SOLS)

test : all
	./neverball

#------------------------------------------------------------------------------

## neverball 1.5.0

=== Makefile ===

#------------------------------------------------------------------------------

VERSION := 1.5.0
ifeq ($(VERSION),unknown)
    $(warning Failed to obtain sane version for this build.)
endif

# Provide a target system hint for the Makefile.

ifeq ($(shell uname), Darwin)
    DARWIN := 1
endif

#------------------------------------------------------------------------------
# Optional flags (CFLAGS, CPPFLAGS, ...)

ifeq ($(DEBUG),1)
    CFLAGS   := -g
    CPPFLAGS :=
else
    CFLAGS   := -O2
    CPPFLAGS := -DNDEBUG
endif

#------------------------------------------------------------------------------
# Mandatory flags

# Compiler...

SSE_CFLAGS := $(shell env CC="$(CC)" sh scripts/get-sse-cflags.sh)

ifeq ($(ENABLE_WII),1)
    # libwiimote is NOT ANSI compliant (TODO, check if this is necessary.  GCC
    # is supposed to suppress warnings from system headers.)
    ALL_CFLAGS := $(SSE_CFLAGS) $(CFLAGS)
else
    ALL_CFLAGS := -Wall -ansi -pedantic $(SSE_CFLAGS) $(CFLAGS)
endif

# Preprocessor...

SDL_CPPFLAGS := $(shell sdl-config --cflags) -U_GNU_SOURCE
PNG_CPPFLAGS := $(shell libpng-config --cflags)

ALL_CPPFLAGS := $(SDL_CPPFLAGS) $(PNG_CPPFLAGS) -Ishare \
    -DVERSION=\"$(VERSION)\"

ifeq ($(ENABLE_NLS),0)
    ALL_CPPFLAGS += -DENABLE_NLS=0
else
    ALL_CPPFLAGS += -DENABLE_NLS=1
endif

ifeq ($(ENABLE_WII),1)
    ALL_CPPFLAGS += -DENABLE_WII=1
endif

ifdef DARWIN
    ALL_CPPFLAGS += -I/opt/local/include
endif

ALL_CPPFLAGS += $(CPPFLAGS)

#------------------------------------------------------------------------------
# Libraries

SDL_LIBS := $(shell sdl-config --libs)
PNG_LIBS := $(shell libpng-config --libs)

# The  non-conditionalised values  below  are specific  to the  native
# system. The native system of this Makefile is Linux (or GNU+Linux if
# you prefer). Please be sure to  override ALL of them for each target
# system in the conditional parts below.

INTL_LIBS :=

ifeq ($(ENABLE_WII),1)
    TILT_LIBS := -lcwiimote -lbluetooth
endif

OGL_LIBS := -lGL -lm

ifdef MINGW
    ifneq ($(ENABLE_NLS),0)
        INTL_LIBS := -lintl -liconv
    endif

    TILT_LIBS :=
    OGL_LIBS  := -lopengl32 -lm
endif

ifdef DARWIN
    ifneq ($(ENABLE_NLS),0)
        INTL_LIBS := -lintl -liconv
    endif

    TILT_LIBS :=
    OGL_LIBS  := -framework OpenGL
endif

BASE_LIBS := -ljpeg $(PNG_LIBS)

ifdef DARWIN
    BASE_LIBS += -L/opt/local/lib
endif

ALL_LIBS := $(SDL_LIBS) $(BASE_LIBS) $(TILT_LIBS) $(INTL_LIBS) -lSDL_ttf \
    -lvorbisfile $(OGL_LIBS)

#------------------------------------------------------------------------------

ifdef MINGW
    EXT := .exe
endif

MAPC_TARG := mapc$(EXT)
BALL_TARG := neverball$(EXT)
PUTT_TARG := neverputt$(EXT)

ifdef MINGW
    MAPC := $(WINE) ./$(MAPC_TARG)
else
    MAPC := ./$(MAPC_TARG)
endif


#------------------------------------------------------------------------------

MAPC_OBJS := \
	share/vec3.o        \
	share/base_image.o  \
	share/solid.o       \
	share/binary.o      \
	share/base_config.o \
	share/mapc.o
BALL_OBJS := \
	share/lang.o        \
	share/st_resol.o    \
	share/vec3.o        \
	share/base_image.o  \
	share/image.o       \
	share/solid.o       \
	share/solid_gl.o    \
	share/solid_phys.o  \
	share/part.o        \
	share/back.o        \
	share/geom.o        \
	share/item.o        \
	share/ball.o        \
	share/gui.o         \
	share/base_config.o \
	share/config.o      \
	share/binary.o      \
	share/state.o       \
	share/audio.o       \
	share/text.o        \
	share/sync.o        \
	share/tilt.o        \
	share/common.o      \
	share/keynames.o    \
	share/syswm.o       \
	share/list.o        \
	share/queue.o       \
	share/cmd.o         \
	ball/hud.o          \
	ball/game_common.o  \
	ball/game_client.o  \
	ball/game_server.o  \
	ball/game_proxy.o   \
	ball/score.o        \
	ball/level.o        \
	ball/progress.o     \
	ball/set.o          \
	ball/demo.o         \
	ball/util.o         \
	ball/st_conf.o      \
	ball/st_demo.o      \
	ball/st_save.o      \
	ball/st_goal.o      \
	ball/st_fall_out.o  \
	ball/st_time_out.o  \
	ball/st_done.o      \
	ball/st_level.o     \
	ball/st_over.o      \
	ball/st_play.o      \
	ball/st_set.o       \
	ball/st_start.o     \
	ball/st_title.o     \
	ball/st_help.o      \
	ball/st_name.o      \
	ball/st_shared.o    \
	ball/st_pause.o     \
	ball/main.o
PUTT_OBJS := \
	share/lang.o        \
	share/st_resol.o    \
	share/vec3.o        \
	share/base_image.o  \
	share/image.o       \
	share/solid.o       \
	share/solid_gl.o    \
	share/solid_phys.o  \
	share/part.o        \
	share/geom.o        \
	share/ball.o        \
	share/back.o        \
	share/base_config.o \
	share/config.o      \
	share/binary.o      \
	share/audio.o       \
	share/state.o       \
	share/gui.o         \
	share/text.o        \
	share/sync.o        \
	share/common.o      \
	share/syswm.o       \
	share/list.o        \
	putt/hud.o          \
	putt/game.o         \
	putt/hole.o         \
	putt/course.o       \
	putt/st_all.o       \
	putt/st_conf.o      \
	putt/main.o

ifdef MINGW
BALL_OBJS += neverball.ico.o
PUTT_OBJS += neverputt.ico.o
endif

BALL_DEPS := $(BALL_OBJS:.o=.d)
PUTT_DEPS := $(PUTT_OBJS:.o=.d)
MAPC_DEPS := $(MAPC_OBJS:.o=.d)

MAPS := $(shell find data -name "*.map" \! -name "*.autosave.map")
SOLS := $(MAPS:%.map=%.sol)

DESKTOPS := $(basename $(wildcard dist/*.desktop.in))

#------------------------------------------------------------------------------

%.o : %.c
	$(CC) $(ALL_CFLAGS) $(ALL_CPPFLAGS) -MM -MP -MF $*.d -MT "$@" $<
	$(CC) $(ALL_CFLAGS) $(ALL_CPPFLAGS) -o $@ -c $<

%.sol : %.map $(MAPC_TARG)
	$(MAPC) $< data

%.desktop : %.desktop.in
	sh scripts/translate-desktop.sh < $< > $@

%.ico.o: dist/ico/%.ico
	echo "1 ICON \"$<\"" | $(WINDRES) -o $@

#------------------------------------------------------------------------------

all : $(BALL_TARG) $(PUTT_TARG) $(MAPC_TARG) sols locales desktops

$(BALL_TARG) : $(BALL_OBJS)
	$(CC) $(ALL_CFLAGS) -o $(BALL_TARG) $(BALL_OBJS) $(LDFLAGS) $(ALL_LIBS)

$(PUTT_TARG) : $(PUTT_OBJS)
	$(CC) $(ALL_CFLAGS) -o $(PUTT_TARG) $(PUTT_OBJS) $(LDFLAGS) $(ALL_LIBS)

$(MAPC_TARG) : $(MAPC_OBJS)
	$(CC) $(ALL_CFLAGS) -o $(MAPC_TARG) $(MAPC_OBJS) $(LDFLAGS) $(BASE_LIBS)

# Work around some extremely helpful sdl-config scripts.

ifdef MINGW
$(MAPC_TARG) : ALL_CPPFLAGS := $(ALL_CPPFLAGS) -Umain
endif

sols : $(SOLS)

locales :
ifneq ($(ENABLE_NLS),0)
	$(MAKE) -C po
endif

desktops : $(DESKTOPS)

clean-src :
	$(RM) $(BALL_TARG) $(BALL_OBJS) $(BALL_DEPS)
	$(RM) $(PUTT_TARG) $(PUTT_OBJS) $(PUTT_DEPS)
	$(RM) $(MAPC_TARG) $(MAPC_OBJS) $(MAPC_DEPS)

clean : clean-src
	$(RM) $(SOLS)
	$(RM) $(DESKTOPS)
	$(MAKE) -C po clean

test : all
	./neverball

TAGS :
	$(RM) $@
	find . -name '*.[ch]' | xargs etags -a

#------------------------------------------------------------------------------

.PHONY : all sols locales clean-src clean test TAGS

-include $(BALL_DEPS) $(PUTT_DEPS) $(MAPC_DEPS)

#------------------------------------------------------------------------------

ifdef MINGW

#------------------------------------------------------------------------------

INSTALLER := ../neverball-$(VERSION)-setup.exe

MAKENSIS := makensis
MAKENSIS_FLAGS := -DVERSION=$(VERSION) -DOUTFILE=$(INSTALLER)

TODOS   := todos
FROMDOS := fromdos

CP := cp

TEXT_DOCS := \
	doc/AUTHORS \
	doc/MANUAL  \
	CHANGES     \
	COPYING     \
	README

TXT_DOCS := $(TEXT_DOCS:%=%.txt)

#------------------------------------------------------------------------------

.PHONY: setup
setup: $(INSTALLER)

$(INSTALLER): install-dlls convert-text-files all contrib
	$(MAKENSIS) $(MAKENSIS_FLAGS) -nocd scripts/neverball.nsi

$(INSTALLER): LDFLAGS := -s $(LDFLAGS)

.PHONY: clean-setup
clean-setup: clean
	$(RM) install-dlls.sh *.dll $(TXT_DOCS)
	find data -name "*.txt" -exec $(FROMDOS) {} \;
	$(MAKE) -C contrib EXT=$(EXT) clean

#------------------------------------------------------------------------------

.PHONY: install-dlls
install-dlls: install-dlls.sh
	sh $<

install-dlls.sh: $(MAPC_TARG) $(BALL_TARG) $(PUTT_TARG)
	mingw-list-dlls --format=shell $^ > $@

#------------------------------------------------------------------------------

.PHONY: convert-text-files
convert-text-files: $(TXT_DOCS)
	find data -name "*.txt" -exec $(TODOS) {} \;

%.txt: %
	$(CP) $< $@
	$(TODOS) $@

#------------------------------------------------------------------------------

.PHONY: contrib
contrib:
	$(MAKE) -C contrib EXT=$(EXT)

#------------------------------------------------------------------------------

endif

#------------------------------------------------------------------------------

=== po/Makefile ===
#-------------------------------------------------------------------------------

# Basic LINGUAS environment variable support

ALL_LINGUAS := $(basename $(wildcard *.po))

ifneq ($(LINGUAS),)
    LINGUAS := $(filter $(ALL_LINGUAS), $(LINGUAS))
else
    LINGUAS := $(ALL_LINGUAS)
endif

#-------------------------------------------------------------------------------

ROOT := ..

DOMAIN    := neverball
LOCALEDIR := $(ROOT)/locale
POFILES   := $(LINGUAS:%=%.po)
MOFILES   := $(LINGUAS:%=$(LOCALEDIR)/%/LC_MESSAGES/$(DOMAIN).mo)
SOURCES   := \
    $(wildcard $(ROOT)/ball/*.[ch])  \
    $(wildcard $(ROOT)/share/*.[ch]) \
    $(wildcard $(ROOT)/putt/*.[ch])

COPYRIGHT := Robert Kooima
BUGADDR   := robert.kooima@gmail.com

XGETTEXT := xgettext
XGETTEXT_FLAGS := \
    --add-comments=Translators --from-code=UTF-8 \
    --keyword=_ --keyword=N_ --keyword=L_        \
    --keyword=sgettext                           \
    --default-domain="$(DOMAIN)"                 \
    --copyright-holder="$(COPYRIGHT)"            \
    --msgid-bugs-address="$(BUGADDR)"

#------------------------------------------------------------------------------

all: $(MOFILES)

clean:
	rm -rf $(LOCALEDIR)

#------------------------------------------------------------------------------

# Here it gets somewhat convoluted.  Basic idea is:  we want the
# update-po target which is widely supported in autotools-based
# internationalised packages.  update-po unconditionally updates the POT
# file, and thus forces PO and MO files to be updated as well.  The
# logic is loosely based on Makefile.in.in distributed with GNU gettext.

update-po: $(DOMAIN).pot-update $(POFILES) $(MOFILES)

$(LOCALEDIR)/%/LC_MESSAGES/$(DOMAIN).mo: %.po
	mkdir -p $(dir $@)
	msgfmt -c --statistics -o $@ $<

%.po: $(DOMAIN).pot
	msgmerge -U --previous $@ $<
	touch $@

$(DOMAIN).pot $(DOMAIN).pot-update:
	$(XGETTEXT) $(XGETTEXT_FLAGS) -o $(DOMAIN).pot \
	    --directory="$(ROOT)" $(SOURCES:$(ROOT)/%=%)
	
	# Force encoding to UTF-8
	sed "1,/^$$/ s/CHARSET/UTF-8/" < $(DOMAIN).pot > $(DOMAIN).pot.utf8
	mv -f $(DOMAIN).pot.utf8 $(DOMAIN).pot
	
	sh $(ROOT)/scripts/extractpo.sh $(ROOT) >> $(DOMAIN).pot
	grep -v '^# ' < mtrl.pot >> $(DOMAIN).pot
	msguniq -o $(DOMAIN).pot.uniq $(DOMAIN).pot
	mv -f $(DOMAIN).pot.uniq $(DOMAIN).pot

#------------------------------------------------------------------------------

stats:
	@find -name '*.po' | sort | xargs -n1 -I{} \
	    sh -c 'printf "{}: "; msgfmt -o /dev/null --statistics {}'

#------------------------------------------------------------------------------

## neverball 1.5.1

=== Makefile ===
--- 
+++ 
@@ -1,7 +1,7 @@
 
 #------------------------------------------------------------------------------
 
-VERSION := 1.5.0
+VERSION := 1.5.1
 ifeq ($(VERSION),unknown)
     $(warning Failed to obtain sane version for this build.)
 endif
@@ -31,9 +31,12 @@
 SSE_CFLAGS := $(shell env CC="$(CC)" sh scripts/get-sse-cflags.sh)
 
 ifeq ($(ENABLE_WII),1)
-    # libwiimote is NOT ANSI compliant (TODO, check if this is necessary.  GCC
-    # is supposed to suppress warnings from system headers.)
-    ALL_CFLAGS := $(SSE_CFLAGS) $(CFLAGS)
+    # -std=c99 because we need isnormal and -fms-extensions because
+    # libwiimote headers make heavy use of the "unnamed fields" GCC
+    # extension.
+
+    ALL_CFLAGS := -Wall -std=c99 -pedantic -fms-extensions \
+	$(SSE_CFLAGS) $(CFLAGS)
 else
     ALL_CFLAGS := -Wall -ansi -pedantic $(SSE_CFLAGS) $(CFLAGS)
 endif
@@ -133,6 +136,7 @@
 	share/solid.o       \
 	share/binary.o      \
 	share/base_config.o \
+	share/common.o      \
 	share/mapc.o
 BALL_OBJS := \
 	share/lang.o        \
@@ -151,6 +155,7 @@
 	share/gui.o         \
 	share/base_config.o \
 	share/config.o      \
+	share/video.o       \
 	share/binary.o      \
 	share/state.o       \
 	share/audio.o       \
@@ -207,6 +212,7 @@
 	share/back.o        \
 	share/base_config.o \
 	share/config.o      \
+	share/video.o       \
 	share/binary.o      \
 	share/audio.o       \
 	share/state.o       \

## neverball 1.5.4

=== Makefile ===
--- 
+++ 
@@ -1,15 +1,41 @@
 
 #------------------------------------------------------------------------------
 
-VERSION := 1.5.1
-ifeq ($(VERSION),unknown)
-    $(warning Failed to obtain sane version for this build.)
-endif
-
+BUILD := $(shell head -n1 BUILD 2> /dev/null || echo release)
+
+ifeq ($(BUILD),release)
+    VERSION := 1.5.4
+else
+    VERSION := $(shell sh scripts/version.sh)
+    ifeq ($(VERSION),unknown)
+        VERSION := 1.5.4-dev
+    endif
+endif
+
+$(info Will make a "$(BUILD)" build of Neverball $(VERSION).)
+
+#------------------------------------------------------------------------------
 # Provide a target system hint for the Makefile.
 
 ifeq ($(shell uname), Darwin)
     DARWIN := 1
+endif
+
+# MINGW=1 also supported.
+
+#------------------------------------------------------------------------------
+# Paths (packagers might want to set DATADIR and LOCALEDIR)
+
+USERDIR   := .neverball
+DATADIR   := ./data
+LOCALEDIR := ./locale
+
+ifdef MINGW
+    USERDIR := Neverball
+endif
+
+ifneq ($(BUILD),release)
+    USERDIR := $(USERDIR)-dev
 endif
 
 #------------------------------------------------------------------------------
@@ -28,17 +54,14 @@
 
 # Compiler...
 
-SSE_CFLAGS := $(shell env CC="$(CC)" sh scripts/get-sse-cflags.sh)
-
 ifeq ($(ENABLE_WII),1)
     # -std=c99 because we need isnormal and -fms-extensions because
     # libwiimote headers make heavy use of the "unnamed fields" GCC
     # extension.
 
-    ALL_CFLAGS := -Wall -std=c99 -pedantic -fms-extensions \
-	$(SSE_CFLAGS) $(CFLAGS)
+    ALL_CFLAGS := -Wall -std=c99 -pedantic -fms-extensions $(CFLAGS)
 else
-    ALL_CFLAGS := -Wall -ansi -pedantic $(SSE_CFLAGS) $(CFLAGS)
+    ALL_CFLAGS := -Wall -ansi -pedantic $(CFLAGS)
 endif
 
 # Preprocessor...
@@ -48,6 +71,11 @@
 
 ALL_CPPFLAGS := $(SDL_CPPFLAGS) $(PNG_CPPFLAGS) -Ishare \
     -DVERSION=\"$(VERSION)\"
+
+ALL_CPPFLAGS += \
+    -DCONFIG_USER=\"$(USERDIR)\" \
+    -DCONFIG_DATA=\"$(DATADIR)\" \
+    -DCONFIG_LOCALE=\"$(LOCALEDIR)\"
 
 ifeq ($(ENABLE_NLS),0)
     ALL_CPPFLAGS += -DENABLE_NLS=0
@@ -70,6 +98,7 @@
 
 SDL_LIBS := $(shell sdl-config --libs)
 PNG_LIBS := $(shell libpng-config --libs)
+FS_LIBS := -lphysfs
 
 # The  non-conditionalised values  below  are specific  to the  native
 # system. The native system of this Makefile is Linux (or GNU+Linux if
@@ -86,7 +115,7 @@
 
 ifdef MINGW
     ifneq ($(ENABLE_NLS),0)
-        INTL_LIBS := -lintl -liconv
+        INTL_LIBS := -lintl
     endif
 
     TILT_LIBS :=
@@ -95,14 +124,14 @@
 
 ifdef DARWIN
     ifneq ($(ENABLE_NLS),0)
-        INTL_LIBS := -lintl -liconv
+        INTL_LIBS := -lintl
     endif
 
     TILT_LIBS :=
     OGL_LIBS  := -framework OpenGL
 endif
 
-BASE_LIBS := -ljpeg $(PNG_LIBS)
+BASE_LIBS := -ljpeg $(PNG_LIBS) $(FS_LIBS)
 
 ifdef DARWIN
     BASE_LIBS += -L/opt/local/lib
@@ -137,6 +166,11 @@
 	share/binary.o      \
 	share/base_config.o \
 	share/common.o      \
+	share/fs.o          \
+	share/fs_png.o      \
+	share/fs_jpg.o      \
+	share/dir.o         \
+	share/array.o       \
 	share/mapc.o
 BALL_OBJS := \
 	share/lang.o        \
@@ -160,7 +194,6 @@
 	share/state.o       \
 	share/audio.o       \
 	share/text.o        \
-	share/sync.o        \
 	share/tilt.o        \
 	share/common.o      \
 	share/keynames.o    \
@@ -168,6 +201,13 @@
 	share/list.o        \
 	share/queue.o       \
 	share/cmd.o         \
+	share/array.o       \
+	share/dir.o         \
+	share/fs.o          \
+	share/fs_png.o      \
+	share/fs_jpg.o      \
+	share/fs_rwops.o    \
+	share/fs_ov.o       \
 	ball/hud.o          \
 	ball/game_common.o  \
 	ball/game_client.o  \
@@ -178,6 +218,7 @@
 	ball/progress.o     \
 	ball/set.o          \
 	ball/demo.o         \
+	ball/demo_dir.o     \
 	ball/util.o         \
 	ball/st_conf.o      \
 	ball/st_demo.o      \
@@ -196,6 +237,7 @@
 	ball/st_name.o      \
 	ball/st_shared.o    \
 	ball/st_pause.o     \
+	ball/st_ball.o      \
 	ball/main.o
 PUTT_OBJS := \
 	share/lang.o        \
@@ -218,10 +260,16 @@
 	share/state.o       \
 	share/gui.o         \
 	share/text.o        \
-	share/sync.o        \
 	share/common.o      \
 	share/syswm.o       \
 	share/list.o        \
+	share/fs.o          \
+	share/fs_png.o      \
+	share/fs_jpg.o      \
+	share/fs_rwops.o    \
+	share/fs_ov.o       \
+	share/dir.o         \
+	share/array.o       \
 	putt/hud.o          \
 	putt/game.o         \
 	putt/hole.o         \

=== po/Makefile ===
--- 
+++ 
@@ -15,9 +15,9 @@
 ROOT := ..
 
 DOMAIN    := neverball
-LOCALEDIR := $(ROOT)/locale
+MODIR     := $(ROOT)/locale
 POFILES   := $(LINGUAS:%=%.po)
-MOFILES   := $(LINGUAS:%=$(LOCALEDIR)/%/LC_MESSAGES/$(DOMAIN).mo)
+MOFILES   := $(LINGUAS:%=$(MODIR)/%/LC_MESSAGES/$(DOMAIN).mo)
 SOURCES   := \
     $(wildcard $(ROOT)/ball/*.[ch])  \
     $(wildcard $(ROOT)/share/*.[ch]) \
@@ -40,7 +40,7 @@
 all: $(MOFILES)
 
 clean:
-	rm -rf $(LOCALEDIR)
+	rm -rf $(MODIR)
 
 #------------------------------------------------------------------------------
 
@@ -52,7 +52,7 @@
 
 update-po: $(DOMAIN).pot-update $(POFILES) $(MOFILES)
 
-$(LOCALEDIR)/%/LC_MESSAGES/$(DOMAIN).mo: %.po
+$(MODIR)/%/LC_MESSAGES/$(DOMAIN).mo: %.po
 	mkdir -p $(dir $@)
 	msgfmt -c --statistics -o $@ $<
 
@@ -63,11 +63,11 @@
 $(DOMAIN).pot $(DOMAIN).pot-update:
 	$(XGETTEXT) $(XGETTEXT_FLAGS) -o $(DOMAIN).pot \
 	    --directory="$(ROOT)" $(SOURCES:$(ROOT)/%=%)
-	
+
 	# Force encoding to UTF-8
 	sed "1,/^$$/ s/CHARSET/UTF-8/" < $(DOMAIN).pot > $(DOMAIN).pot.utf8
 	mv -f $(DOMAIN).pot.utf8 $(DOMAIN).pot
-	
+
 	sh $(ROOT)/scripts/extractpo.sh $(ROOT) >> $(DOMAIN).pot
 	grep -v '^# ' < mtrl.pot >> $(DOMAIN).pot
 	msguniq -o $(DOMAIN).pot.uniq $(DOMAIN).pot

=== debian/changelog ===
neverball (1.5.4-6) unstable; urgency=low

  [ Juhani Numminen ]
  * Team upload
  * libpng15 transition: Build-depend on libpng-dev instead of
    libpng12-dev. (Closes: #662445)
  * Fix neverball not launching if previously used video mode is
    not available by adding reset-video-mode.patch. (Closes: #677409)
    Thanks to Fabian Greffrath for the patch.
  * Fix non-working Vcs-Browser field in control (400 Bad Request)
    with a working one.
  * Implement hardening by using dpkg-buildflags in debian/rules to export all
    necessary build flags.

  [ Markus Koschany ]
  * Bump compat level to 9 and require debhelper >= 9.
  * Bump Standards-Version to 3.9.4, no changes needed.
  * Switch to source format 3.0 (quilt).
  * Update debian/copyright to copyright format 1.0.
  * Update the watch file and make the extension regex more flexible.
  * Add longtitle to menu files.
  * Drop build-dependency on quilt because source format 3.0 uses quilt by
    default and remove README.source.
  * debian/control:
    - Drop old Conflicts relationships. Older packages of neverball and
      neverputt (Lenny and earlier) are no longer supported.
    - Use fonts-dejavu-core instead of the deprecated ttf-dejavu-core package.
    - data-packages: Suggest neverball and neverputt.
  * Rewrite and simplify debian/rules by using dh sequencer.
  * Build with --parallel.
  * Drop NEWS file. Users who upgrade from Squeeze or Wheezy are not affected.
    Upgrading directly from Lenny to Jessie is not supported.
  * Add DEP-3 headers to all patches and forward them upstream.
  * Install all debugging symbols correctly and make neverball-dbg useful again.
    (Closes: #651180)
  * Update French .po file. Change the occurrences of "sauver" to
    "enregistrer". (Closes: #700287)

 -- Markus Koschany <apo@gambaru.de>  Sun, 02 Jun 2013 12:41:18 +0200

neverball (1.5.4-5) unstable; urgency=medium

  * libjpeg transition:  Build-depend on libjpeg-dev instead of
    libjpeg62-dev (Closes: #635088)
  * Urgency set to medium due to RC bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 31 Oct 2011 14:53:56 +0100

neverball (1.5.4-4) unstable; urgency=medium

  * Fix FTBFS with binutils-gold (Closes: #556916)
    Thanks to Felix Geyer for the patch!
  * Bump standards version to 3.9.2 (no changes needed)
  * Add ${misc:Depends} to neverball-common, neverball-data, neverball-dbg,
     neverputt-data
  * Add debian/README.source pointing to /usr/share/doc/quilt/README.source
  * Set urgency to medium due to RC bug fix

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 09 May 2011 15:21:57 +0200

neverball (1.5.4-3) unstable; urgency=low

  * Don't build data files every time (Closes: #598614)
    * Patch upstram Makefile to provide seppereta rules for data and executables
    * Use them to build arch:all and arch:any packages

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Mon, 04 Oct 2010 08:22:25 +0000

neverball (1.5.4-2) unstable; urgency=low

  * debian/rules: Set HOME to an existing directory as a temporary workaround
    to correctly build the package on some buildds. (Closes: #544835)

 -- Jordà Polo <jorda@ettin.org>  Sat, 31 Oct 2009 19:41:22 +0100

neverball (1.5.4-1) unstable; urgency=low

  * New upstream release.
  * debian/patches/localemodir.patch: Remove patch; included upstream.
  * Remove quilt as patch manager, no longer needed.

 -- Jordà Polo <jorda@ettin.org>  Sun, 20 Sep 2009 13:28:03 +0200

neverball (1.5.2-1) unstable; urgency=low

  * New upstream release.
    + Fix typo in French translation. (Closes: #535912)
  * debian/control:
    + Standards-Version bumped to 3.8.3 (no changes required).
    + Suggest ttf-wqy-zenhei, used for the Chinese translation.
    + Add build-dependency on libphysfs-dev.
  * debian/copyright: Include copyright and license for the JPEG routines.
  * debian/patches:
    + data_path.patch: Remove patch; it is now possible to pass data and
      locale paths directly to the Makefile.
    + localemodir.patch: New patch; fixes unexpected behaviour when setting
      the LOCALEDIR variable.

 -- Jordà Polo <jorda@ettin.org>  Tue, 25 Aug 2009 08:47:37 +0200

neverball (1.5.1-1) unstable; urgency=low

  * New upstream release.
  * debian/control:
    + Standards-Version bumped to 3.8.1 (no changes required).
    + Change section of neverball-dbg to "debug".
  * debian/copyright: Refer to GPL-2, not GPL.

 -- Jordà Polo <jorda@ettin.org>  Wed, 08 Apr 2009 10:02:44 +0200

neverball (1.5.0-2) unstable; urgency=medium

  [ Jordà Polo ]
  * debian/control: libsdl-image and libsdl-mixer build dependencies are
    obsolete; use libvorbis-dev, libpng12-dev and libjpeg62-dev instead.

  [ Alexander Reichle-Schmehl ]
  * Fix debian/watch since download location changed
  * Adopt debian/control to my new name
  * create symlinks to ttf files in proper package
    (Fixes segfault for neverputt, there fore urgency set to medium)

 -- Alexander Reichle-Schmehl <tolimar@debian.org>  Wed, 25 Feb 2009 16:46:04 +0100

neverball (1.5.0-1) unstable; urgency=low

  * New upstream release.
  * debian/control: Update Homepage.
  * debian/copyright:
    + Remove translators from "Copyright Holders", as requested by upstream
      developers.
    + Update copyright years.
  * debian/NEWS: New file; explain compatibility issues (moved from
    README.Debian).
  * debian/watch: Update location of upstream's tarball.
  * Don't install Neverball's "misc" course as it isn't included in stable
    releases.

 -- Jordà Polo <jorda@ettin.org>  Mon, 09 Feb 2009 17:34:47 +0100

neverball (1.4.0+svn2527-1) experimental; urgency=low

  * Experimental package based on upstream's development version. (Closes:
    #330089, #456522)
  * debian/patches:
    + data_path.patch: Updated; redefine path to locales.
    + Remove obsolete patches (stereo_sound.patch and putt_scores.patch).
  * debian/*.install: Install translations and new neverball/neverputt levels.
  * debian/rules:


=== debian/control ===
Source: neverball
Section: games
Priority: optional
Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Alexander Reichle-Schmehl <tolimar@debian.org>,
 Jordà Polo <jorda@ettin.org>,
 Tamas SZERB <toma@rulez.org>
Build-Depends:
 debhelper (>= 9),
 libjpeg-dev,
 libphysfs-dev,
 libpng-dev,
 libsdl-ttf2.0-dev,
 libsdl1.2-dev,
 libvorbis-dev
Standards-Version: 3.9.4
Homepage: http://neverball.org/
Vcs-Svn: svn://anonscm.debian.org/pkg-games/packages/trunk/neverball/
Vcs-Browser: http://anonscm.debian.org/viewvc/pkg-games/packages/trunk/neverball/

Package: neverball
Architecture: any
Depends:
 neverball-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: neverputt
Description: 3D floor-tilting game
 In the grand tradition of Marble Madness and Super Monkey Ball, Neverball
 has you guide a rolling ball through dangerous territory. Balance on narrow
 bridges, navigate mazes, ride moving platforms, and dodge pushers and
 shovers to get to the goal. Race against the clock to collect coins to earn
 extra balls.

Package: neverball-data
Architecture: all
Depends: neverball-common (= ${source:Version}), ${misc:Depends}
Suggests: neverball
Description: data files for Neverball
 In the grand tradition of Marble Madness and Super Monkey Ball, Neverball
 has you guide a rolling ball through dangerous territory. Balance on narrow
 bridges, navigate mazes, ride moving platforms, and dodge pushers and
 shovers to get to the goal. Race against the clock to collect coins to earn
 extra balls.
 .
 This package contains the data files needed to play Neverball.

Package: neverball-common
Architecture: all
Depends: fonts-dejavu-core, ${misc:Depends}
Suggests: ttf-wqy-zenhei (>= 0.8.38-1)
Description: data files for Neverball and Neverputt
 The engine of the floor-tilting game Neverball is also used by its spin-off,
 a miniature golf game known as Neverputt.
 .
 This package contains the data files shared between Neverball and Neverputt.

Package: neverputt
Architecture: any
Depends:
 neverputt-data (= ${source:Version}),
 ${misc:Depends},
 ${shlibs:Depends}
Suggests: neverball
Description: 3D miniature golf game
 Neverputt is a hot-seat multi-player miniature golf game for 1 to 4 players.
 The 18-hole course takes advantage of all the elements that challenge
 Neverball players, including moving platforms and barriers, teleporters,
 ramps, and drop-offs. A simple putting interface and golf scoring system
 have been added.

Package: neverputt-data
Architecture: all
Depends: neverball-common (= ${source:Version}), ${misc:Depends}
Suggests: neverputt
Description: data files for Neverputt
 Neverputt is a hot-seat multi-player miniature golf game for 1 to 4 players.
 The 18-hole course takes advantage of all the elements that challenge
 Neverball players, including moving platforms and barriers, teleporters,
 ramps, and drop-offs. A simple putting interface and golf scoring system
 have been added.
 .
 This package contains the data files needed to play Neverputt.

Package: neverball-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 neverball (= ${binary:Version}) | neverputt (= ${binary:Version}),
 ${misc:Depends}
Description: debugging information for Neverball and Neverputt
 In the grand tradition of Marble Madness and Super Monkey Ball, Neverball
 has you guide a rolling ball through dangerous territory. Balance on narrow
 bridges, navigate mazes, ride moving platforms, and dodge pushers and
 shovers to get to the goal. Race against the clock to collect coins to earn
 extra balls.
 .
 This package contains the debugging information for Neverball and Neverputt.

=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1

%:
	dh $@ --parallel

override_dh_auto_build-arch:
	# Set HOME to an existent directory as a workaround for #544835. Note that
	# HOME isn't actually used, but some buildds set it to a non-existent
	# directory, and PhysicsFS currently fails if the directory doesn't exist
	# (see #553174).
	$(MAKE) $(shell dpkg-buildflags --export=configure) \
		DATADIR=/usr/share/games/neverball \
		LOCALEDIR=/usr/share/locale \
		HOME=$(CURDIR) executables
	# Rename icons for .desktop files.
	cp $(CURDIR)/dist/neverball_128.png $(CURDIR)/dist/neverball.png
	cp $(CURDIR)/dist/neverputt_128.png $(CURDIR)/dist/neverputt.png

override_dh_auto_build-indep:
	$(MAKE) \
		DATADIR=/usr/share/games/neverball \
		LOCALEDIR=/usr/share/locale \
		HOME=$(CURDIR) data

override_dh_auto_clean:
	[ ! -f Makefile ] || $(MAKE) clean
	rm -f $(CURDIR)/dist/neverball.png $(CURDIR)/dist/neverputt.png

override_dh_auto_test:
	# Disable dh_auto_test to prevent FTBFS because of Initialization error.
	# DirectFB/Core: Could not initialize 'system_core' core!

override_dh_auto_install:
	# The Makefile does not provide an install target thus do nothing here.

override_dh_installchangelogs:
	dh_installchangelogs CHANGES

override_dh_strip:
	dh_strip --dbg-package=neverball-dbg
